/* @(#) $Id: cf.h,v 1.11 2004/09/13 17:51:31 leres Exp $ (LBL) */
#ifndef acld_cf_h
#define acld_cf_h

struct cf {
	time_t c_time;			/* unix timestamp of config file */
	int c_port;			/* local port to listen for clients */
	int c_lowseq;			/* lowest sequence number */
	int c_highseq;			/* highest sequence number */
	int c_maxseq;			/* maximum total number of rules */
	int c_login_secs;		/* seconds to between login attempts */
	int c_ayt_secs;			/* seconds to wait before sync'ing */
	int c_sync_secs;		/* seconds to wait before sync'ing */
	int c_select_secs;		/* default seconds in select loop */
	int c_incrseq;			/* increment or decrement seq numbers */
	int c_netsfac;			/* syslog() facility for nets_log() */

	int c_lowportseq;		/* lowest port sequence number */

	int c_highportseq;		/* highest port sequence number */

	u_int32_t c_bindaddr;		/* localhost addr to bind to */

	char *c_cuser;			/* connect username */
	char *c_cpass1;			/* primary connect password */
	char *c_cpass2;			/* backup connect password */

	char *c_euser;			/* enable username */
	char *c_epass1;			/* primary enable password */
	char *c_epass2;			/* backup enable password */

	char *c_expect;			/* pathname expect binary */
	char *c_router;			/* ip addr or hostname of router */
	char *c_script;			/* pathname expect binary */

	struct acllist *c_acllist;
	int c_acllistlen;
	int c_acllistsize;

	struct intlist *c_intlist;
	int c_intlistlen;
	int c_intlistsize;
};

struct cf *parsecf(const char *);
void freecf(struct cf *);
#endif
